> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Substitute

> The substitute endpoint applies any custom phrases to the provided document



## OpenAPI

````yaml /specs/language-api.yaml post /language/substitute
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/substitute:
    post:
      tags:
        - language
      summary: Substitute
      description: >-
        The substitute endpoint applies any custom phrases to the provided
        document
      operationId: substitute
      requestBody:
        $ref: '#/components/requestBodies/SubstitutionRequest'
      responses:
        '200':
          description: Successful substitution response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubstitutionResult'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  requestBodies:
    SubstitutionRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SubstitutionRequest'
  schemas:
    SubstitutionResult:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        original:
          $ref: '#/components/schemas/Document'
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    SubstitutionRequest:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        substitutions:
          type: array
          items:
            $ref: '#/components/schemas/Substitution'
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    Document:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: object
        mime_type:
          type: string
        language:
          type: string
        meta:
          type: object
    Substitution:
      type: object
      properties:
        source:
          type: string
        text:
          type: string
        target:
          type: string
        substitution:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````